Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 3731)
+++ admin/_charte.php	(revision 3770)
@@ -11,4 +11,5 @@
 
 dcPage::check('usage,contentadmin');
+$core->auth->user_prefs->addWorkspace('interface');
 ?>
 <!DOCTYPE html>
@@ -21,7 +22,10 @@
     <title>Bibliothèque de styles - Dotclear - 2.7</title>
     <link rel="icon" type="image/png" href="images/favicon96-login.png" />
-    <link rel="stylesheet" href="style/default.css" type="text/css" media="screen" />
-    <?php
-$core->auth->user_prefs->addWorkspace('interface');
+<?php
+if ($core->auth->user_prefs->interface->dark_mode) {
+    echo dcPage::cssLoad('style/default-dark.css');
+} else {
+    echo dcPage::cssLoad('style/default.css');
+}
 if ($core->auth->user_prefs->interface->htmlfontsize) {
     echo
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 3731)
+++ admin/preferences.php	(revision 3770)
@@ -41,4 +41,5 @@
 
 $core->auth->user_prefs->addWorkspace('interface');
+$user_ui_darkmode         = $core->auth->user_prefs->interface->darkmode;
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
 $user_ui_hidemoreinfo     = $core->auth->user_prefs->interface->hidemoreinfo;
@@ -237,4 +238,5 @@
         # Update user prefs
         $core->auth->user_prefs->accessibility->put('nodragdrop', !empty($_POST['user_acc_nodragdrop']), 'boolean');
+        $core->auth->user_prefs->interface->put('darkmode', !empty($_POST['user_ui_darkmode']), 'boolean');
         $core->auth->user_prefs->interface->put('enhanceduploader', !empty($_POST['user_ui_enhanceduploader']), 'boolean');
         $core->auth->user_prefs->interface->put('hidemoreinfo', !empty($_POST['user_ui_hidemoreinfo']), 'boolean');
@@ -527,4 +529,8 @@
 '<h4 id="user_options_interface">' . __('Interface') . '</h4>' .
 
+'<p><label for="user_ui_darkmode" class="classic">' .
+form::checkbox('user_ui_darkmode', 1, $user_ui_darkmode) . ' ' .
+__('Activate dark mode') . '</label></p>' .
+
 '<p><label for="user_ui_enhanceduploader" class="classic">' .
 form::checkbox('user_ui_enhanceduploader', 1, $user_ui_enhanceduploader) . ' ' .
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3769)
+++ inc/admin/lib.dc.page.php	(revision 3770)
@@ -165,7 +165,11 @@
         '  <meta name="GOOGLEBOT" content="NOSNIPPET" />' . "\n" .
         '  <meta name="viewport" content="width=device-width, initial-scale=1.0" />' . "\n" .
-        '  <title>' . $title . ' - ' . html::escapeHTML($core->blog->name) . ' - ' . html::escapeHTML(DC_VENDOR_NAME) . ' - ' . DC_VERSION . '</title>' . "\n" .
-
-        self::cssLoad('style/default.css');
+        '  <title>' . $title . ' - ' . html::escapeHTML($core->blog->name) . ' - ' . html::escapeHTML(DC_VENDOR_NAME) . ' - ' . DC_VERSION . '</title>' . "\n";
+
+      if ($core->auth->user_prefs->interface->darkmode) {
+            echo self::cssLoad('style/default-dark.css');
+      } else {
+            echo self::cssLoad('style/default.css');
+      }
         if (l10n::getTextDirection($GLOBALS['_lang']) == 'rtl') {
             echo self::cssLoad('style/default-rtl.css');
@@ -433,7 +437,11 @@
 
         '  <meta name="ROBOTS" content="NOARCHIVE,NOINDEX,NOFOLLOW" />' . "\n" .
-        '  <meta name="GOOGLEBOT" content="NOSNIPPET" />' . "\n" .
-
-        self::cssLoad('style/default.css');
+        '  <meta name="GOOGLEBOT" content="NOSNIPPET" />' . "\n";
+
+        if ($core->auth->user_prefs->interface->darkmode) {
+            echo self::cssLoad('style/default-dark.css');
+        } else {
+            echo self::cssLoad('style/default.css');
+        }
         if (l10n::getTextDirection($GLOBALS['_lang']) == 'rtl') {
             echo self::cssLoad('style/default-rtl.css');
